EDIT - bug #7074

Use TimePeriod for Media.mediaCreated
11/11/2017 08:38 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.0

Severity: critical Found in Version:

Description

For older images it is often not exactly known when the picture was taken/created. In flora of Greece we sometimes have information
such as "spring 1888" or "April 1986". This can not be handled with the current DateTime implementation.

Also the exact time is not always known, especially if you enter date manually.
Maybe we can have an extra hibernate user type which also allows to handle time if available.

Once this is finished, we need an update script and we need to update data from flora of Greece image import, images made by N.
Turland. #7092

Related issues:

Related to EDIT - feature request #6659: Show mediaCreated in dataportal Closed
Related to EDIT - feature request #6658: Make mediaCreated editable in Media ... Closed
Related to EDIT - task #7414: Delete mediaCreatedOld Closed
Related to EDIT - feature request #7411: adapt mediaCreated in taxeditor to t... Closed
Related to EDIT - bug #7468: Updated script for mediaCreated does not work fo... Closed
Related to EDIT - feature request #10057: Add "accessed" field to OriginalSou... Closed
Blocks EDIT - bug #7092: Adapt dates in Nicks images after mediaCreated becam... Resolved

Associated revisions

Revision a2d22dbd - 05/11/2018 07:40 PM - Andreas Miiller

fix #7074 Change Media.mediaCreated to TimePeriod and make let PartialUserType support hour and minute

Revision d2dc1d6d - 05/12/2018 03:32 AM - Andreas Miiller

ref #7074 fix mediaCreated test data schema

Revision 00370c91 - 05/12/2018 04:08 AM - Andreas Miiller

ref #7074 fix tests failing due to stricter format checking in Partial UserType

Revision ae6dcc19 - 05/17/2018 11:45 AM - Andreas Miiller
ref #7074 adapt Media.mediaCreated in cdmlib-app

History

#1 - 11/11/2017 08:38 PM - Andreas Miiller

- Status changed from New to In Progress

#2 - 11/24/2017 04:04 PM - Andreas Miiller
- Related to feature request #6659: Show mediaCreated in dataportal added

#3 - 11/24/2017 04:04 PM - Andreas Miiller
- Related to feature request #6658: Make mediaCreated editable in Media view added

#4 - 11/24/2017 04:09 PM - Andreas Miiller
- Blocks bug #7092: Adapt dates in Nicks images after mediaCreated became TimePeriod added
#5 - 05/09/2018 01:46 AM - Andreas Miiller

SELECT *
FROM Media m
WHERE m.mediaCreated IS NOT NULL

UPDATE Media
SET titleCache = Replace (mediaCreated, '-', ''")
WHERE id = 271

#6 - 05/11/2018 05:56 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

#7 - 05/11/2018 07:54 PM - Andreas Miller

- Description updated

#8 - 05/14/2018 03:46 PM - Andreas Miiller
- Related to task #7414: Delete mediaCreatedOld added

#9 - 05/14/2018 04:03 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#10 - 05/14/2018 04:05 PM - Andreas Miiller

- Related to feature request #7411: adapt mediaCreated in taxeditor to timePeriod added

#11 - 06/11/2018 06:20 PM - Andreas Miiller
- Related to bug #7468: Updated script for mediaCreated does not work for PostGreSQL added

#12 - 05/11/2022 01:29 PM - Andreas Miiller
- Related to feature request #10057: Add "accessed" field to OriginalSourceBase added
